Package org.silverpeas.components.resourcesmanager.control

## Enum ResourceManagerDataViewType

- java.lang.Object
- - java.lang.Enum<ResourceManagerDataViewType>
  - - org.silverpeas.components.resourcesmanager.control.ResourceManagerDataViewType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResourceManagerDataViewType>`

      public enum ResourceManagerDataViewType
      extends Enum<ResourceManagerDataViewType>

  It defines the type of view of data displayed in resource manager calendar.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `reservationListing` |
    `reservations` |
    `resources` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceManagerDataViewType` | `from​(String name)` |
    `String` | `getName()` | Gets the name of this enum.
    `boolean` | `isReservationListingDataView()` | Is this view data type is a reservation listing one.
    `boolean` | `isReservationsDataView()` | Is this view data type is a reservations one.
    `boolean` | `isResourcesDataView()` | Is this view data type is a resources one.
    `static ResourceManagerDataViewType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResourceManagerDataViewType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### reservations

          public static final ResourceManagerDataViewType reservations

    - #### resources

          public static final ResourceManagerDataViewType resources

    - #### reservationListing

          public static final ResourceManagerDataViewType reservationListing

  - ### Method Detail

    - #### values

          public static ResourceManagerDataViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceManagerDataViewType c : ResourceManagerDataViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceManagerDataViewType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isReservationsDataView

          public boolean isReservationsDataView()

      Is this view data type is a reservations one.
      Returns:
        true if this view data type is for a reservations one, false otherwise.

    - #### isResourcesDataView

          public boolean isResourcesDataView()

      Is this view data type is a resources one.
      Returns:
        true if this view data type is for a resources one, false otherwise.

    - #### isReservationListingDataView

          public boolean isReservationListingDataView()

      Is this view data type is a reservation listing one.
      Returns:
        true if this view data type is for a reservation listing one, false otherwise.

    - #### getName

          public String getName()

      Gets the name of this enum.
      Returns:
        the enum name.
      See Also:
        `Enum.name()`

    - #### from

          public static ResourceManagerDataViewType from​(String name)